petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecSetType

Builds a vector, for a particular vector implementation.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecSetType(Vec vec, VecType method)

Collective on Vec

### Input Parameters

| vec | - The vector object
| method | - The name of the vector type

### Options Database Key

-vec_type <type> -Sets the vector type; use -help for a list of available types

### Notes

See "petsc/include/petscvec.h" for available vector types (for instance, VECSEQ, VECMPI, or VECSHARED).

Use VecDuplicate() or VecDuplicateVecs() to form additional vectors of the same type as an existing vector.

### Keywords

vector, set, type

### See Also

VecGetType(), VecCreate()

### Level

intermediate

### Location

src/vec/vec/interface/vecreg.c

### Examples

src/vec/vec/examples/tutorials/ex9.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/snes/examples/tutorials/ex70.c.html
src/tao/constrained/examples/tutorials/maros.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages